Need to install 3.15.5-pr-linux-x86_32.run

Post your question about installing or upgrading QCAD.

Moderator: andrew

Post Reply
RayArdia
Full Member
Posts: 82
Joined: Mon Aug 11, 2008 6:57 pm
Location: NW Spain

Need to install 3.15.5-pr-linux-x86_32.run

Post by RayArdia » Wed Nov 30, 2016 11:54 pm

Have been experiencing problems with ver 3.13.1, eg failed on two occasions to save a file - I had to redraw both, and latest problem is that when trying to draw a simple rectangle qcad draws incorrect dimensions.
I have downloaded ver 3.15.5 tar.gz but don't remember how to get it to run ( it currently sits in my Downloads dir.
ray@ray-Aspire-5735:~$ sudo apt-get install qcad-3.15.5-pro-linux-x86_32
[sudo] password for ray:
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package qcad-3.15.5-pro-linux-x86_32
E: Couldn't find any package by glob 'qcad-3.15.5-pro-linux-x86_32'
E: Couldn't find any package by regex 'qcad-3.15.5-pro-linux-x86_32'

Could use a little help please....
Ray

User avatar
andrew
Site Admin
Posts: 6246
Joined: Fri Mar 30, 2007 6:07 am

Re: Need to install 3.15.5-pr-linux-x86_32.run

Post by andrew » Thu Dec 01, 2016 8:46 am

You'll have to run the installer. apt-get will not work since that is for downloading and installing packages from public repositories.

Please refer to our web site for installation instructions for Linux:
http://www.qcad.org/en/qcad-installation#linux

RayArdia
Full Member
Posts: 82
Joined: Mon Aug 11, 2008 6:57 pm
Location: NW Spain

Re: Need to install 3.15.5-pr-linux-x86_32.run

Post by RayArdia » Thu Dec 01, 2016 9:33 pm

Thank you Andrew, I was OK up to remembering the './qcad' command. Have now made a note of it; all will be well until I lose the note.
Going back to what happened, have you any idea why QCAD would apparently fail to save my work? Or why when the command was to draw a rectangle 75mm x 135mm it drew a rectangle 104x 264mm?
Would really like to know because I have recently lost my faith in the infallibility of QCAD.
Incidentally I run QCAD on a fully updated Ubuntu 16.04 OS.
Best regards,
Ray

User avatar
andrew
Site Admin
Posts: 6246
Joined: Fri Mar 30, 2007 6:07 am

Re: Need to install 3.15.5-pr-linux-x86_32.run

Post by andrew » Thu Dec 01, 2016 9:40 pm

RayArdia wrote:have you any idea why QCAD would apparently fail to save my work?
There are any number of reasons why a file cannot be saved (permissions, lack of disk space, etc.). Unfortunately, without any further information such as error messages, contents of the file, etc. any specific assessment would be nothing more than pure speculation.
RayArdia wrote:Or why when the command was to draw a rectangle 75mm x 135mm it drew a rectangle 104x 264mm?
Pretty sure this is a handling / understanding problem. If you could tell me how you proceed step by step, what tool you use, what values you enter, etc. I'm sure I can help you with this problem.

RayArdia
Full Member
Posts: 82
Joined: Mon Aug 11, 2008 6:57 pm
Location: NW Spain

Re: Need to install 3.15.5-pr-linux-x86_32.run

Post by RayArdia » Fri Dec 02, 2016 8:24 pm

Thanks for reply Andrew. In response I'm sure there's no disc space or permissions problems, and other drawings saved the day before this particular failure were OK. As regards the rectangle problem I can only say that "I did it the way I've always done it" and somehow the results were not as expected.
I tried several times, different values, and each time the rectangle drawn didn't correspond to the input values. That's when I decided to load the latest version.
Anyway ver 3.15.5 now loaded and working, so we'll see....
Ray

Post Reply

Return to “QCAD Installation and Upgrades”